Bug 162921 - [patch] devel/bglibs: unbreak build with clang
Summary: [patch] devel/bglibs: unbreak build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-28 11:20 UTC by Jan Beich
Modified: 2012-02-15 07:30 UTC (History)
0 users

See Also:


Attachments
clang.diff (521 bytes, patch)
2011-11-28 11:20 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-11-28 11:20:07 UTC
hasunsetenv test fails because main() has wrong return type

How-To-Repeat: http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.9-exp-clang.20111122163211.pointyhat-west/bglibs-1.106,1.log
Comment 1 Edwin Groothuis freebsd_committer 2011-11-28 11:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Michael Scheidell freebsd_committer 2011-12-03 19:01:17 UTC
Responsible Changed
From-To: sylvio->scheidell

i'll take it. sylvio still on leave
Comment 3 Michael Scheidell freebsd_committer 2011-12-03 20:31:10 UTC
State Changed
From-To: open->closed

Committed, thanks
Comment 4 dfilter service freebsd_committer 2011-12-03 20:34:35 UTC
scheidell    2011-12-03 20:34:21 UTC

  FreeBSD ports repository

  Modified files:
    devel/bglibs         Makefile 
  Log:
  -hasunsetenv test fails because main() has wrong return type
  
  PR:             ports/162921
  Submitted by:   Jan Beich <jbeich@tormail.net>
  Approved by:    maintainer (sylvio, implicit), gabor (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.42      +4 -0      ports/devel/bglibs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 christopher 2012-02-15 06:59:10 UTC
This patch breaks at minimum the time function of bglib.

The tryclockgettime.c file ( as well as many of the other try*.c files ) 
contains "int main(void)" and this patch results in that being changed 
to "int main(int)" which fails to compile.  That results in bglib not 
detecting the capabilities of the platform properly.